<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>1</title>
	<link rel="stylesheet" type="text/css" href="1.css">
</head>
<!-- Ponemos un tiempo máximo de 2 minutos para resolver-->
<body onload="setTimeout(acabar, 130000)">
	<script language="javascript">
		var palabras = new Array("fuerza", "honor", "roma", "soldado", "gladiador", "hispano", "libres", "compasivo", "emperador", "coliseo");
		var pos;
		var dim;
		var encontradas = 0;
		var falladas = 0;
		var ganado = 0;
		palabra = "";

		// Seleccionamos una palabra secreta al azar de entre el array

		dim = palabras.length;

		do{
			pos = Math.random();
			pos = pos * 10;
			pos = Math.floor(pos);
		
		}while(pos > (dim-1));

		palabra = palabras[pos];
		
		// Pintamos X divs en pantalla donde X es el numero de caracteres de la palabra secreta

		longpalabra = palabra.length;
		for(var i = 0; i < longpalabra; i++){
			var lsecreta = document.createElement("div");
			lsecreta.className = "secreto";
			var texto = document.createTextNode("X");
			lsecreta.appendChild(texto);
			document.body.appendChild(lsecreta);
		}


		function acabar(){
			if(ganado == 0){
				alert("Lo sentimos! Se acabó el tiempo.");
			}
		}

		function comprueba(){
			var lintento = document.getElementById("ladivina").value;
			var encontrada = 0;
			var cajas;

			lintento = lintento.toLowerCase();
			//console.log(lintento);
			//console.log(palabra);
			longpalabra = palabra.length;
			for(var i = 0; i < longpalabra; i++){
				if(palabra[i] == lintento){
					encontradas++;
					if(encontradas == longpalabra){
						ganado = 1;
						alert("¡Enhorabuena! Has ganado.");
					}
					encontrada = 1;
					var cajas = document.querySelectorAll(".secreto");
					cajas[i].innerHTML = lintento.toUpperCase();
				}
			}

			if(encontrada == 0){
				var lfallada = document.createElement("div");
				lfallada.className = "fallada";
				var textof = document.createTextNode(lintento);
				lfallada.appendChild(textof);
				document.body.appendChild(lfallada);
				alert("Lo siento! La letra no está en la palabra.");
				falladas++;
				if(falladas >= 10){
					alert("Lo sentimos! Has perdido el juego.");
				}
			}
		}
	</script>

	<!-- Compramos una letra cada vez -->
	<br>
	<br>
	<div class="introducir">
		<input id="ladivina" type="text" value="Compra una letra">
		<input type="submit" value="Comprueba!" onclick="comprueba()">
	</div>
	<br>
	<br>
	<div>FALLOS:</div>
</body>
</html>